

#include "app.h"
#include "appwin.h"

GraphicEditorApp::GraphicEditorApp ()
: UI_Application ()
{
}



#if defined(__MS_WINDOWS__)
void GraphicEditorApp::Initialize
    (HANDLE hInstance, HANDLE hPrevInstance, LPSTR lpCmdLn, int nCmd)
{
    UI_Application::Initialize (hInstance, hPrevInstance, lpCmdLn, nCmd);
    MakeTopWindow (new AppWindow);
}


#elif defined(__X_MOTIF__)
void GraphicEditorApp::Initialize (int& argc, char* argv[])
{
    UI_Application::Initialize (argc, argv);
    MakeTopWindow (new AppWindow);
}
#endif


Canvas& GraphicEditorApp::AppCanvas ()
{
    return ((AppWindow*) MainWindow())->AppCanvas();
}
